<?php
//ini_set('display_errors', 'On');
require ('xajax/xajax.inc.php');
$xajax = new xajax();
require ('funciones/funciones.php');
require ('funciones/convert.php');
require ("includes/markdown.php");
require ("funciones/conex.php");

	$fecha_inicio = mysql_seguridad($_REQUEST[inicio]);
	$fin = mysql_seguridad($_REQUEST[fin]);
	$perfil = mysql_seguridad($_REQUEST[id]);
	$id = mysql_seguridad($_REQUEST[id]);
	$busqueda = mysql_seguridad($_REQUEST[cadena]);
	$campo = buscar_campo_tipo($id,"14");
	$id_campo = $campo[0];
	  
$link=Conectarse();

						$consulta = "SELECT  form_id as id, control, GROUP_CONCAT(contenido  ORDER by timestamp desc ) as data  
											FROM `form_datos` 
											WHERE form_id = '$id' 
											AND id_campo ='$id_campo' $valor
											group by  control  
											ORDER BY  orden  desc";

	mysqli_query("SET NAMES 'UTF8'");


 $sql = mysqli_query($consulta,$link) or die("Error al ejecutar consulta  en json.php");
 if (mysqli_num_rows($sql)!='0'){
	$id = 1;
	$features = array();
while( $row = mysqli_fetch_array( $sql ) ) {
	$marcador = array();
	$propiedades = array();

		$identificador = explode(',',$row[data]);
		$identificador = $identificador[0]; 
		$campos = explode(" ",$identificador);
														$lat = $campos[0];
														$lon = $campos[1];
														$zoom = $campos[2];	
		$marcador["type"] = "Point";
		$marcador["coordinates"] = array($lat,$lon);
		$formulario = formulario_imprimir($perfil,$row[control],'');
		$propiedades["name"] ="<div class='container-fluid' id='contenedor_datos' >$formulario</div>";
		$geometria .= "{\"type\":\"Feature\",\"geometry\":".json_encode($marcador,JSON_NUMERIC_CHECK).",\"properties\":".json_encode($propiedades,JSON_NUMERIC_CHECK)."},";
		$features[] = $marcador;

															
															$id++;
															}

}

header('Content-Type: application/json');

$resultado = " { \"type\": \"FeatureCollection\",
    \"features\": ";
$resultado .= json_encode($features,JSON_NUMERIC_CHECK);
$resultado .= "}";
$geometria = substr("$geometria",0,-1);
$geometria = "{
    \"type\": \"FeatureCollection\",
    \"features\": [$geometria ]}";
echo $geometria;

?>